# Packmangroup: Games
# Packmanpackagename: kcheckers
# Packman: Herbert Graeber
# Packmandesc: KCheckers is a KDE version of the classic boardgame "checkers"
# Packmandesc_de: KCheckers ist eine KDE-Version des klassischen Brettspiels "Dame"

# norootforbuild

Name:          kcheckers
Version:       0.5
Release:       0
Summary:       KCheckers is a QT version of the classic boardgame "checkers"
Summary(de):   KCheckers ist eine QT-Version des klassischen Brettspiels "Dame"
Copyright:     GPL
#Vendor:        Packman
Url:           http://kcheckers.osdn.org.ua/
#Packager:      Herbert Graeber <herbert@links2linux.de>
Group:         Amusements/Games/Board/Checkers
Source:        %{name}_%{version}.tar.gz
Patch0:         %{name}.diff
Patch1:		%{name}-64.diff
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: qt3-devel update-desktop-files

%description
KCheckers is a QT version of the classic boardgame "checkers"

%description -l de
KCheckers ist eine QT-Version des klassischen Brettspiels "Dame"

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%if %{_arch} == "x86_64"
%patch1 -p1
%else
%patch0 -p1
%endif

%build
make

%install
export QTDIR=/usr/lib/qt3
make INSTALL_ROOT=$RPM_BUILD_ROOT/ install
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/crystalsvg/32x32/apps
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/icons/crystalsvg/16x16/apps
cp pics/biglogo.png $RPM_BUILD_ROOT/opt/kde3/share/icons/crystalsvg/32x32/apps/kcheckers.png
cp pics/logo.png $RPM_BUILD_ROOT/opt/kde3/share/icons/crystalsvg/16x16/apps/kcheckers.png
%suse_update_desktop_file -c %name %name "Checkers" /usr/bin/kcheckers kcheckers.xpm Qt BoardGame

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/bin/kcheckers
/usr/share/kcheckers
/usr/share/applications/kcheckers.desktop
/opt/kde3/share/icons/crystalsvg/*x*/apps/*

%changelog
* Wed Aug 08 2004 Herbert Graeber <herbert@links2linux.de>
- Update to version 0.5

* Wed Jul 28 2004 Herbert Graeber <herbert@links2linux.de>
- Desktop file added

